#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "NewRiftPopupViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UNewRiftPopupViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API INewRiftPopupViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetRiftTimerEnabled(const bool isEnabled);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetRiftButtonEnabled(const bool isEnabled);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetRemainingTime(const FString& remainingTime);

};
